%global npmname request

%global _use_internal_dependency_generator 0
%global __find_provides /bin/sh -c 'sed -n "s,.*/\\.npm/\\([^\\/]*\\)\\/\\([^/]*\\.[^/]*\\)/.*,nodejs(\\1) = \\2,p" |sort |uniq'
%global __find_requires /bin/sh -c 'sed -n "s,.*/dependson/\\([^@\\/]*\\)@\\([^@/]\\.[^@/]*\\)$,nodejs(\\1) = \\2,p" |sort |uniq'

Name:           nodejs-%{npmname}
Version:        1.1.1
Release:        2%{?dist}
Summary:        Simplified HTTP request client

Group:          Development/Libraries
# JP: It's Apache2 licenesed, i'll get it in there later today. -Mikeal
License:        ASL 2.0
URL:            https://github.com/mikeal/request
Source0:        http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  nodejs-npm
Requires:       nodejs-npm

BuildArch:      noarch

%description
Simplified HTTP request client.


%prep
%setup -q -n package


%build
mkdir -p .%{_prefix}/lib/node/.npm
cp -a %{_prefix}/lib/node/.npm/* \
        .%{_prefix}/lib/node/.npm

npm_config_root=.%{_prefix}/lib/node \
npm_config_binroot=.%{_bindir} \
npm_config_manroot=.%{_mandir} \
npm install %{SOURCE0}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/node/.npm/%{npmname}
cp -a $PWD%{_prefix}/lib/node/%{npmname}{,@%{version}} \
        $RPM_BUILD_ROOT%{_prefix}/lib/node
cp -a $PWD%{_prefix}/lib/node/.npm/%{npmname}/{%{version},active} \
        $RPM_BUILD_ROOT%{_prefix}/lib/node/.npm/%{npmname}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_prefix}/lib/node/%{npmname}
%{_prefix}/lib/node/%{npmname}@%{version}
%{_prefix}/lib/node/.npm/%{npmname}
%doc README.md


%changelog
* Mon Jan 31 2011 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.1.1-2
- Added automatic dependencies
- Only package currently build version

* Mon Jan 24 2011 Lubomir Rintel <lubo.rintel@gooddata.com> - 1.1.1-1
- Update to a later version

* Fri Dec 17 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.10.0-1
- Initial packaging
